# ACE_RMCast::Data Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::Data:

[legend]
Collaboration diagram for ACE_RMCast::Data:

[legend]
List of all members.

## Public Member Functions

virtual | ~Data ()
| Data (Header const &h, istream &is)
| Data (void const *buf, size_t s, size_t capacity=0)
Data_ptr | clone ()
char const * | buf () const
char * | buf ()
size_t | size () const
void | size (size_t s)
size_t | capacity () const
virtual void | serialize_body (ostream &os) const
virtual void | serialize_body (sstream &ss) const

## Static Public Attributes

u16 const | id = 0x0003

## Protected Member Functions

virtual Profile_ptr | clone_ ()
| Data (Data const &d)

## Private Attributes

char * | buf_
size_t | size_
size_t | capacity_

## Constructor & Destructor Documentation

virtual ACE_RMCast::Data::~Data | ( |  | ) | `[inline, virtual]`

ACE_RMCast::Data::Data | ( | Header const & | h,
|  | istream & | is
| ) | `[inline]`

ACE_RMCast::Data::Data | ( | void const * | buf,
|  | size_t | s,
|  | size_t | capacity = `0`
| ) | `[inline]`

ACE_RMCast::Data::Data | ( | Data const & | d | ) | `[inline, protected]`

## Member Function Documentation

char* ACE_RMCast::Data::buf | ( |  | ) | `[inline]`

char const* ACE_RMCast::Data::buf | ( |  | ) | const`[inline]`

size_t ACE_RMCast::Data::capacity | ( |  | ) | const`[inline]`

Data_ptr ACE_RMCast::Data::clone | ( |  | ) | `[inline]`

| Reimplemented from ACE_RMCast::Profile.

virtual Profile_ptr ACE_RMCast::Data::clone_ | ( |  | ) | `[inline, protected, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::Data::serialize_body | ( | sstream & | ss | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::Data::serialize_body | ( | ostream & | os | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

void ACE_RMCast::Data::size | ( | size_t | s | ) | `[inline]`

size_t ACE_RMCast::Data::size | ( |  | ) | const`[inline]`

| Reimplemented from ACE_RMCast::Profile.

## Member Data Documentation

char* ACE_RMCast::Data::buf_`[private]`

size_t ACE_RMCast::Data::capacity_`[private]`

u16 const ACE_RMCast::Data::id = 0x0003`[static]`

size_t ACE_RMCast::Data::size_`[private]`

The documentation for this struct was generated from the following files:

- Protocol.h
- Protocol.cpp